Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 766210

Summary: dev-util/ragel, dev-util/colm: avoid static libs and .la if possible
Product: Gentoo Linux Reporter: Sam James <sam>
Component: Current packagesAssignee: Luca Barbato <lu_zero>
Status: RESOLVED FIXED    
Severity: normal CC: ago, blshkv, dronx.wow+gentoo, jeffrey, juippis, konstantin.sobolev, leho, lssndrbarbieri, matoro_bugzilla_gentoo, polynomial-c, sunk67188, toralf, vmfhrmfoaj
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=766075
Whiteboard:
Package list:
Runtime testing required: ---

Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-01-19 22:20:53 UTC
We needed to restore .la and static libs recently for bug 766051 (Ragel was critically broken on big endian arches, unable to build high-profile packages).

CMake ports are available for Ragel and Colm, so that should help with .la. To be seen if we ca undo much about static libraries, although given they're almost always bumped in tandem, this isn't a *huge* issue.

Note that ragel is the only reverse dependency of colm.

This bug is to try ditch .la and static linking against Colm in Ragel if possible, but I'm more optimistic about the former given how tightly integrated they are.
Comment 1 Jeffrey Lin 2021-01-24 02:06:18 UTC
*** Bug 766716 has been marked as a duplicate of this bug. ***
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-04-25 19:32:01 UTC
*** Bug 782793 has been marked as a duplicate of this bug. ***
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-04-25 19:32:26 UTC
*** Bug 766075 has been marked as a duplicate of this bug. ***
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-05-30 04:55:14 UTC
*** Bug 791400 has been marked as a duplicate of this bug. ***
Comment 5 Anton Bolshakov 2021-05-30 05:24:20 UTC
I filed an upstream report here:
https://github.com/adrian-thurston/ragel/issues/70
Comment 7 Joonas Niilola gentoo-dev 2021-09-04 05:05:40 UTC
FYI I dropped prefix keywords due to the patch, 
https://sources.gentoo.org/repo/gentoo.git/tree/dev-util/ragel/files/ragel-7.0.4-link-colm-properly.patch

because I didn't want to guess how to correctly write it for prefix. I currently don't have prefix system to test it on.

These patches also helped me to compile this with clang.
Comment 8 Joonas Niilola gentoo-dev 2021-09-04 05:07:24 UTC
(In reply to Joonas Niilola from comment #7)
> 
> These patches also helped me to compile this with clang.

* clang+lto. The lto part might've been the troublemaker...
Comment 9 Anton Bolshakov 2021-11-30 14:53:47 UTC
FYI, upstream has pushed some fixes, the issue may be fixed
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-04-17 15:21:42 UTC
Yeah I think we're done.